Page MenuHomePhabricator

Pencil icon is preloaded locked
Closed, ResolvedPublic

Description

0) Visit a random page like http://it.m.wikipedia.org/wiki/Multinazionali as unregistered user

I. Observed: the pencil icons are loaded with a lock on them, then replaced by pencil icons without locks.
II. Expected: correct pencil icons are loaded.


Version: unspecified
Severity: normal

Details

Reference
bz72851
Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterLoad correct page actions images
mediawiki/extensions/MobileFrontend : masterLoad correct page actions images

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport added a project: MobileFrontend-alpha.
bzimport set Reference to bz72851.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 1 2014, 7:03 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/rQU2oxvq

The locked icon doesn't mean only, that the user is not permitted to edit. The meaning is, that the editor is not available, no matter, if it's because of missing permissions or maybe because of deactivated javascript.

I don't know, if we can change this easily. What is, if the user has JS deactivated, but is allowed to edit (from the permissions view). He will see a pencil without lock, but can still not edit (our editor doesn't work without JavaScript).

Right, I see the same if I'm logged in. Which only makes the thing worse...

Seems to be fixed now. Caching related.

No, it's still the same.

Okay yes I can see this on my phone. It wasn't noticeable on my desktop connection because of the fast connection.

I'll take a look at code tomorrow. Obviously some pages are protected but it sounds like something odd is happening in the class logic.

Florian renamed this task from When $wgMFAnonymousEditing is enabled pencil icon is preloaded locked to Pencil icon is preloaded locked.Dec 2 2014, 3:50 PM
Florian set Security to None.
Florian updated the task description. (Show Details)

Change 180315 had a related patch set uploaded (by Bmansurov):
Load correct page actions images

https://gerrit.wikimedia.org/r/180315

Patch-For-Review

Change 180315 merged by jenkins-bot:
Load correct page actions images

https://gerrit.wikimedia.org/r/180315

Jdlrobson closed this task as Resolved.Dec 17 2014, 1:06 AM

Change 180884 had a related patch set uploaded (by Bmansurov):
Load correct page actions images

https://gerrit.wikimedia.org/r/180884

Patch-For-Review

phuedx added a subscriber: phuedx.Dec 29 2014, 3:01 PM

@kaldari I think 180884 is waiting on your review.

Change 180884 merged by jenkins-bot:
Load correct page actions images

https://gerrit.wikimedia.org/r/180884